SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000674SiT!setup/configpublic2009-04-30 10:482009-08-16 14:39
Reporterivan 
Assigned Toivan 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.45 
Target Version3.50Fixed in Version3.50 
Summary0000674: Upgrade from 3.41 to 3.45 does not create config table
DescriptionSeveral people have reported a missing config table after upgrading to v3.45

e.g.
http://sitracker.org/forum/viewtopic.php?f=4&t=1416780 [^]

"Hi, after upgrade the SiT 3.41 for 3.45, when I'll need to change some thing in Control Panel > configure, the interface return this error.

Application Warning [512]
Table 'sit.sit_config' doesn't exist REPLACE INTO `sit_config` (`config`, `value`) VALUES ('application_name', 'Sit Central de Suporte') in /www/htdocs/sit-3.45/lib/functions.inc.php @ line 8103 trigger_error() cfgSave()"
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0001007)
ivan (administrator)
2009-04-30 11:24

The config table should be created as part of the schema for v3.41... this should still be run if an upgrade happens from 3.40 straight to 3.45 though... need to check it's working.
User avatar (0001008)
kieran (administrator)
2009-04-30 12:34

The SQL for the config was missing from 3.41's install SQL but was present in the upgrade to 3.41. Anyone installing from fresh with 3.41 will be missing the table.
User avatar (0001055)
paulh (administrator)
2009-05-14 19:53

Probably need a CREATE TABLE IF NOT EXISTS in the 3.5 upgrade to catch anyone doing a big jump
User avatar (0001079)
ivan (administrator)
2009-05-19 17:24

Resolved in trunk svn r5391

The upgrade to 3.50 (final) will update the schema to fix this problem.
User avatar (0001643)
ivan (administrator)
2009-08-16 14:39

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2009-04-30 10:48 ivan New Issue
2009-04-30 11:24 ivan Note Added: 0001007
2009-04-30 12:34 kieran Note Added: 0001008
2009-05-14 19:53 paulh Note Added: 0001055
2009-05-14 19:53 paulh Severity minor => major
2009-05-14 19:53 paulh Target Version => 3.50
2009-05-19 17:24 ivan Note Added: 0001079
2009-05-19 17:24 ivan Assigned To => ivan
2009-05-19 17:24 ivan Status new => resolved
2009-05-19 17:24 ivan Resolution open => fixed
2009-05-19 17:24 ivan Fixed in Version => 3.50
2009-07-12 15:12 ivan Fixed in Version 3.50 => Current SVN
2009-08-16 13:16 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:39 ivan Note Added: 0001643
2009-08-16 14:39 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker